Name: qpsmtpd
Version: 0.31.1
Release: 1sme07
Packager: hjp@hjp.at
Summary: qpsmtpd
License: distributable
Group: System Environment/Daemons
URL: http://smtpd.develooper.com/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
BuildArchitectures: noarch

Source0: qpsmtpd-%{version}.tar.gz
Source1: qpsmtpd-forkserver.rc
Source2: qpsmtpd-forkserver.sysconfig

Source100: http://nowhere.dk/~alj/qpsmtpd/smtp-forward-new

Patch1: qpsmtpd-0.31-config.patch
Patch5: qpsmtpd-0.29-smtp-loginfo.patch
Patch6: qpsmtpd-0.29-no_brackets.patch
Patch100: qpsmtpd-0.31-check_badrcptto.patch
Patch101: qpsmtpd-0.31-DENYSOFTIfNoClamdPing.patch
Patch102: qpsmtpd-0.31-rhsbl.patch
Patch103: qpsmtpd-0.31-badhelo_DISCONNECT.patch
Patch104: qpsmtpd-0.31-no_response_munging.patch
Patch105: qpsmtpd-0.31-smtp_forward_response.patch
Patch106: qpsmtpd-0.31-auth_validation.patch
Patch107: qpsmtpd-0.31-auth_validation.patch2

%description
qpsmtpd is a flexible smtpd daemon written in Perl. Apart from the core
SMTP features, all functionality is implemented in small "extension
plugins" using the easy to use object oriented plugin API.

qpsmtpd was originally written as a drop-in qmail-smtpd replacement, but
now it also includes a smtp forward and a postfix "backend".

%package apache
Summary: mod_perl-2 connection handler for qpsmtpd
Group: System Environment/Daemons

%description apache

This module implements a mod_perl/apache 2.0 connection handler
that turns Apache into an SMTP server using Qpsmtpd.

%prep
%setup -q -n qpsmtpd-%{version}
%patch1 -p0 -b .config
%patch5 -p0 -b .smtp-loginfo
%patch6 -p0 -b .no_brackets
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
cp %{SOURCE100} plugins/queue/smtp-forward
%patch104 -p1
%patch105 -p1
#%patch106 -p1
%patch107 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make


%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
if grep -q DESTDIR Makefile
then
	make DESTDIR=$RPM_BUILD_ROOT
	find blib/lib -name '*.pm.*' -exec rm -f {} \;
	make DESTDIR=$RPM_BUILD_ROOT install

else
	make PREFIX=$RPM_BUILD_ROOT/usr 
	find blib/lib -name '*.pm.*' -exec rm -f {} \;
	make PREFIX=$RPM_BUILD_ROOT/usr install
fi
mkdir -p $RPM_BUILD_ROOT/usr/share/qpsmtpd
cp -r plugins $RPM_BUILD_ROOT/usr/share/qpsmtpd/plugins
mkdir -p $RPM_BUILD_ROOT/etc
cp -r config.sample $RPM_BUILD_ROOT/etc/qpsmtpd
echo /usr/share/qpsmtpd/plugins > $RPM_BUILD_ROOT/etc/qpsmtpd/plugin_dir
mkdir -p $RPM_BUILD_ROOT/etc/init.d/
cp %{_sourcedir}/qpsmtpd-forkserver.rc $RPM_BUILD_ROOT/etc/init.d/qpsmtpd-forkserver
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/
cp %{_sourcedir}/qpsmtpd-forkserver.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/qpsmtpd-forkserver


[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr \( -name perllocal.pod -o -name .packlist \) -exec rm {} \;
find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g"     | \
	grep -v /Apache                 > qpsmtpd-%{version}-filelist
if [ "$(cat qpsmtpd-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi
find $RPM_BUILD_ROOT/usr -type f -path '*/Apache*' -print | \
	sed "s@^$RPM_BUILD_ROOT@@g"      > qpsmtpd-apache-%{version}-filelist

%files -f qpsmtpd-%{version}-filelist
%defattr(-,root,root)
%doc CREDITS Changes LICENSE README README.plugins STATUS
/etc/init.d/qpsmtpd-forkserver
%config /etc/qpsmtpd
%config /etc/sysconfig/qpsmtpd-forkserver

%files apache -f qpsmtpd-apache-%{version}-filelist
%defattr(-,root,root)

%changelog
* Mon Mar 27 2006 Charlie Brady <charlieb@e-smith.com> 0.31.1-1sme07
- Fix cvm auth validation. [SME: 1138]

* Sun Mar 26 2006 Charlie Brady <charlieb@e-smith.com> 0.31.1-1sme06
- Apply more stringent validation to authentication attempts. [SME: 1138]

* Thu Mar  2 2006 Charlie Brady <charlieb@e-smith.com> 0.31.1-1sme05
- Deal more correctly with post data SMTP responses in smtp-forward
  plugin. [SME: 929]

* Sun Feb 12 2006 Charlie Brady <charlieb@e-smith.com> 0.31.1-1sme04
- Apply bugfix to updated smtp-forward plugin. [SME: 710]

* Sun Feb 12 2006 Charlie Brady <charlieb@e-smith.com> 0.31.1-1sme03
- Use updated smtp-forward plugin. [SME: 710]

* Sun Feb  5 2006 Charlie Brady <charlieb@e-smith.com> 0.31.1-1sme02
- Disconnect in check_spamhelo plugin. [SME: 658]

* Thu Feb  2 2006 Charlie Brady <charlieb@e-smith.com> 0.31.1-1sme01
- Upgrade to 0.31.1 tarball. Remove obsolete pre-connection patch.
  [SME: 643]

* Tue Jan 31 2006 Shad L. Lords <slords@mail.com> 0.31-7sme03
- Fix to allow TXT records for rhsbl lookups [perl #38347] [SME: 596]

* Tue Jan 31 2006 Gordon Rowell <gordonr@gormand.com.au> 0.31-7sme02
- Return a 4xx error code if clamd required, but not responding [SME: 176]

* Fri Nov 4 2005 Gordon Rowell <gordonr@gormand.com.au> 0.31-7sme01
- Don't apply check_badrcptto to relay clients [SF: 1333999]

* Sat Aug 20 2005 <hjp@hjp.at> 0.31-7
- RC2 from upstream.
- Removed patches which aren't applied from spec file.

* Fri Jul 22 2005 <hjp@hjp.at> 0.31-6
- New upstream snapshot from 0.31 branch: svn revision 509.

* Sun Jul 17 2005 <hjp@hjp.at> 0.31-5
- include only /etc/init.d/qpsmtpd-forkserver, not /etc/init.d
  it conflicts with old initscripts packages.

* Sun Jul 17 2005 <hjp@hjp.at> 0.31-4
- removed tabs from forkserver 

* Sun Jul 17 2005 <hjp@hjp.at> 0.31-3
- added startup script for forkserver
- changed BuildArchitectures to noarch.

* Sat Jul 16 2005 <hjp@hjp.at> 0.31-2
- pre-connection hook is now actually called, not just defined.

* Fri Jul 15 2005 <hjp@hjp.at> 0.31-1
- merged with 0.31. Most of my patches are now in the official release.
- merged Gavin's per-user-config patch with my dirs patch, since the
  latter needs a way to turn off logging.
- added /etc/qpsmtpd/plugin_dir to package.

* Mon Jun 13 2005 <hjp@hjp.at> 0.29-6
- fixed removal of patch backup files
- fixed option --pid-file

* Sun Jun 12 2005 <hjp@hjp.at>
- avoid installing patch backup files
- split Apache::Qpsmtpd into separate package to avoid dependency hell.
- fixed URL
- changed group to Daemons.
- Fixed installation for newer versions of ExtUtils::MakeMaker

* Wed Jun  1 2005 <hjp@hjp.at> 0.29-5
- Really don't reap children in signal handler.

* Tue May 31 2005 <hjp@hjp.at> 0.29-4
- Return 421 for DENYSOFT_DISCONNECT
- Don't reap children in signal handler.

* Thu May 19 2005 <hjp@hjp.at> 0.29-3
- removed code to accept paths without <>.

* Thu May 19 2005 <hjp@hjp.at> 0.29-2
- added QPSMTPD_CONFIG env variable and plugin_dir config.
- added supplemental groups and support for pid file
- added shared_connect hook
- changed log level for SMTP dialog from DEBUG to INFO

* Thu Apr 21 2005 hjp@hjp.at
- added plugins, /etc and docs.

* Mon Apr 18 2005 hjp@hjp.at
- Specfile autogenerated

